<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.0"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>API: OpenSim::OutputReporter Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/x-mathjax-config">
  MathJax.Hub.Config({
    extensions: ["tex2jax.js"],
    jax: ["input/TeX","output/HTML-CSS"],
});
</script>
<script type="text/javascript" async="async" src="MathJax-2.7.0/MathJax.js"></script>
<link href="doxygen_user.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="OpenSimLogoWhiteHorizontal_small.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">API
   &#160;<span id="projectnumber">4.4.1-2022-09-05-d4bb9bc34</span>
   </div>
   <div id="projectbrief">For MATLAB, Python, Java, and C++ users</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.0 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('classOpenSim_1_1OutputReporter.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="classOpenSim_1_1OutputReporter-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">OpenSim::OutputReporter Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>The <a class="el" href="classOpenSim_1_1OutputReporter.html" title="The OutputReporter Analysis is a wrapper for a TableReporter.">OutputReporter</a> <a class="el" href="classOpenSim_1_1Analysis.html" title="An abstract class for specifying the interface for an analysis plugin.">Analysis</a> is a wrapper for a TableReporter.  
 <a href="classOpenSim_1_1OutputReporter.html#details">More...</a></p>
<div id="dynsection-0" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-0-trigger" src="closed.png" alt="+"/> Inheritance diagram for OpenSim::OutputReporter:</div>
<div id="dynsection-0-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-0-content" class="dyncontent" style="display:none;">
 <div class="center">
  <img src="classOpenSim_1_1OutputReporter.png" usemap="#OpenSim::OutputReporter_map" alt=""/>
  <map id="OpenSim::OutputReporter_map" name="OpenSim::OutputReporter_map">
<area href="classOpenSim_1_1Analysis.html" title="An abstract class for specifying the interface for an analysis plugin." alt="OpenSim::Analysis" shape="rect" coords="0,56,155,80"/>
<area href="classOpenSim_1_1Object.html" title="This is the base class for all OpenSim objects that are serializable (meaning they can be written to ..." alt="OpenSim::Object" shape="rect" coords="0,0,155,24"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr><td colspan="2"><div class="groupHeader">Auto-generated functions</div></td></tr>
<tr class="memitem:a00693b0c2ef81f1889cfcf9be9c543d6"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="classOpenSim_1_1OutputReporter.html">OutputReporter</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1OutputReporter.html#a00693b0c2ef81f1889cfcf9be9c543d6">safeDownCast</a> (<a class="el" href="classOpenSim_1_1Object.html">OpenSim::Object</a> *obj)</td></tr>
<tr class="memdesc:a00693b0c2ef81f1889cfcf9be9c543d6"><td class="mdescLeft">&#160;</td><td class="mdescRight">For use in MATLAB and Python to access the concrete class.  <a href="classOpenSim_1_1OutputReporter.html#a00693b0c2ef81f1889cfcf9be9c543d6">More...</a><br /></td></tr>
<tr class="separator:a00693b0c2ef81f1889cfcf9be9c543d6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_static_methods_classOpenSim_1_1Analysis"><td colspan="2" onclick="javascript:toggleInherit('pub_static_methods_classOpenSim_1_1Analysis')"><img src="closed.png" alt="-"/>&#160;Static Public Member Functions inherited from <a class="el" href="classOpenSim_1_1Analysis.html">OpenSim::Analysis</a></td></tr>
<tr class="memitem:a4040f924bf12d52a4f0a583260e684d4 inherit pub_static_methods_classOpenSim_1_1Analysis"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="classOpenSim_1_1Analysis.html">Analysis</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Analysis.html#a4040f924bf12d52a4f0a583260e684d4">safeDownCast</a> (<a class="el" href="classOpenSim_1_1Object.html">OpenSim::Object</a> *obj)</td></tr>
<tr class="memdesc:a4040f924bf12d52a4f0a583260e684d4 inherit pub_static_methods_classOpenSim_1_1Analysis"><td class="mdescLeft">&#160;</td><td class="mdescRight">For use in MATLAB and Python to access the concrete class.  <a href="classOpenSim_1_1Analysis.html#a4040f924bf12d52a4f0a583260e684d4">More...</a><br /></td></tr>
<tr class="separator:a4040f924bf12d52a4f0a583260e684d4 inherit pub_static_methods_classOpenSim_1_1Analysis"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5b45a3ce21acda844e32775e9a61cdb3 inherit pub_static_methods_classOpenSim_1_1Analysis"><td class="memItemLeft" align="right" valign="top">static const std::string &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Analysis.html#a5b45a3ce21acda844e32775e9a61cdb3">getClassName</a> ()</td></tr>
<tr class="memdesc:a5b45a3ce21acda844e32775e9a61cdb3 inherit pub_static_methods_classOpenSim_1_1Analysis"><td class="mdescLeft">&#160;</td><td class="mdescRight">This returns "Analysis" <br  />
  <a href="classOpenSim_1_1Analysis.html#a5b45a3ce21acda844e32775e9a61cdb3">More...</a><br /></td></tr>
<tr class="separator:a5b45a3ce21acda844e32775e9a61cdb3 inherit pub_static_methods_classOpenSim_1_1Analysis"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_static_methods_classOpenSim_1_1Object"><td colspan="2" onclick="javascript:toggleInherit('pub_static_methods_classOpenSim_1_1Object')"><img src="closed.png" alt="-"/>&#160;Static Public Member Functions inherited from <a class="el" href="classOpenSim_1_1Object.html">OpenSim::Object</a></td></tr>
<tr class="memitem:ace1fe7d9f4d7509b5d9e74fbe757b72d inherit pub_static_methods_classOpenSim_1_1Object"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Object.html#ace1fe7d9f4d7509b5d9e74fbe757b72d">registerType</a> (const <a class="el" href="classOpenSim_1_1Object.html">Object</a> &amp;defaultObject)</td></tr>
<tr class="memdesc:ace1fe7d9f4d7509b5d9e74fbe757b72d inherit pub_static_methods_classOpenSim_1_1Object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Register an instance of a class; if the class is already registered it will be replaced.  <a href="classOpenSim_1_1Object.html#ace1fe7d9f4d7509b5d9e74fbe757b72d">More...</a><br /></td></tr>
<tr class="separator:ace1fe7d9f4d7509b5d9e74fbe757b72d inherit pub_static_methods_classOpenSim_1_1Object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad4f89d1f8a5d4b85dba51df9b207183b inherit pub_static_methods_classOpenSim_1_1Object"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Object.html#ad4f89d1f8a5d4b85dba51df9b207183b">renameType</a> (const std::string &amp;oldTypeName, const std::string &amp;newTypeName)</td></tr>
<tr class="memdesc:ad4f89d1f8a5d4b85dba51df9b207183b inherit pub_static_methods_classOpenSim_1_1Object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Support versioning by associating the current Object type with an old name.  <a href="classOpenSim_1_1Object.html#ad4f89d1f8a5d4b85dba51df9b207183b">More...</a><br /></td></tr>
<tr class="separator:ad4f89d1f8a5d4b85dba51df9b207183b inherit pub_static_methods_classOpenSim_1_1Object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afa003166ace3f14af022b6650fc6fbd7 inherit pub_static_methods_classOpenSim_1_1Object"><td class="memItemLeft" align="right" valign="top">static const <a class="el" href="classOpenSim_1_1Object.html">Object</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Object.html#afa003166ace3f14af022b6650fc6fbd7">getDefaultInstanceOfType</a> (const std::string &amp;concreteClassName)</td></tr>
<tr class="memdesc:afa003166ace3f14af022b6650fc6fbd7 inherit pub_static_methods_classOpenSim_1_1Object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Return a pointer to the default instance of the registered (concrete) Object whose class name is given, or NULL if the type is not registered.  <a href="classOpenSim_1_1Object.html#afa003166ace3f14af022b6650fc6fbd7">More...</a><br /></td></tr>
<tr class="separator:afa003166ace3f14af022b6650fc6fbd7 inherit pub_static_methods_classOpenSim_1_1Object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a77a7df6eb433b4e130ce7aa63b8d3d7e inherit pub_static_methods_classOpenSim_1_1Object"><td class="memTemplParams" colspan="2">template&lt;class T &gt; </td></tr>
<tr class="memitem:a77a7df6eb433b4e130ce7aa63b8d3d7e inherit pub_static_methods_classOpenSim_1_1Object"><td class="memTemplItemLeft" align="right" valign="top">static bool&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Object.html#a77a7df6eb433b4e130ce7aa63b8d3d7e">isObjectTypeDerivedFrom</a> (const std::string &amp;concreteClassName)</td></tr>
<tr class="memdesc:a77a7df6eb433b4e130ce7aa63b8d3d7e inherit pub_static_methods_classOpenSim_1_1Object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Return true if the given concrete object type represents a subclass of the template object type T, and thus could be referenced with a T*.  <a href="classOpenSim_1_1Object.html#a77a7df6eb433b4e130ce7aa63b8d3d7e">More...</a><br /></td></tr>
<tr class="separator:a77a7df6eb433b4e130ce7aa63b8d3d7e inherit pub_static_methods_classOpenSim_1_1Object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afd44aecebc85d2f98ff3adf443e284d0 inherit pub_static_methods_classOpenSim_1_1Object"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="classOpenSim_1_1Object.html">Object</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Object.html#afd44aecebc85d2f98ff3adf443e284d0">newInstanceOfType</a> (const std::string &amp;concreteClassName)</td></tr>
<tr class="memdesc:afd44aecebc85d2f98ff3adf443e284d0 inherit pub_static_methods_classOpenSim_1_1Object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Create a new instance of the concrete Object type whose class name is given as <em>concreteClassName</em>.  <a href="classOpenSim_1_1Object.html#afd44aecebc85d2f98ff3adf443e284d0">More...</a><br /></td></tr>
<tr class="separator:afd44aecebc85d2f98ff3adf443e284d0 inherit pub_static_methods_classOpenSim_1_1Object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0296f61a06c319786a46d29743135d74 inherit pub_static_methods_classOpenSim_1_1Object"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Object.html#a0296f61a06c319786a46d29743135d74">getRegisteredTypenames</a> (<a class="el" href="classOpenSim_1_1Array.html">Array</a>&lt; std::string &gt; &amp;typeNames)</td></tr>
<tr class="memdesc:a0296f61a06c319786a46d29743135d74 inherit pub_static_methods_classOpenSim_1_1Object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Retrieve all the typenames registered so far.  <a href="classOpenSim_1_1Object.html#a0296f61a06c319786a46d29743135d74">More...</a><br /></td></tr>
<tr class="separator:a0296f61a06c319786a46d29743135d74 inherit pub_static_methods_classOpenSim_1_1Object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a34f0039fba61c2fef84ba6bf8c07de6d inherit pub_static_methods_classOpenSim_1_1Object"><td class="memTemplParams" colspan="2">template&lt;class T &gt; </td></tr>
<tr class="memitem:a34f0039fba61c2fef84ba6bf8c07de6d inherit pub_static_methods_classOpenSim_1_1Object"><td class="memTemplItemLeft" align="right" valign="top">static void&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Object.html#a34f0039fba61c2fef84ba6bf8c07de6d">getRegisteredObjectsOfGivenType</a> (<a class="el" href="classOpenSim_1_1ArrayPtrs.html">ArrayPtrs</a>&lt; T &gt; &amp;rArray)</td></tr>
<tr class="memdesc:a34f0039fba61c2fef84ba6bf8c07de6d inherit pub_static_methods_classOpenSim_1_1Object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Return an array of pointers to the default instances of all registered (concrete) Object types that derive from a given Object-derived type that does not have to be concrete.  <a href="classOpenSim_1_1Object.html#a34f0039fba61c2fef84ba6bf8c07de6d">More...</a><br /></td></tr>
<tr class="separator:a34f0039fba61c2fef84ba6bf8c07de6d inherit pub_static_methods_classOpenSim_1_1Object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a302c40df3290679f524ae642bd29ea41 inherit pub_static_methods_classOpenSim_1_1Object"><td class="memItemLeft" align="right" valign="top">static bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Object.html#a302c40df3290679f524ae642bd29ea41">PrintPropertyInfo</a> (std::ostream &amp;os, const std::string &amp;classNameDotPropertyName, bool printFlagInfo=true)</td></tr>
<tr class="memdesc:a302c40df3290679f524ae642bd29ea41 inherit pub_static_methods_classOpenSim_1_1Object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Dump formatted property information to a given output stream, useful for creating a "help" facility for registered objects.  <a href="classOpenSim_1_1Object.html#a302c40df3290679f524ae642bd29ea41">More...</a><br /></td></tr>
<tr class="separator:a302c40df3290679f524ae642bd29ea41 inherit pub_static_methods_classOpenSim_1_1Object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa6fdbac7ab46d14e883a48e2398596a1 inherit pub_static_methods_classOpenSim_1_1Object"><td class="memItemLeft" align="right" valign="top">static bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Object.html#aa6fdbac7ab46d14e883a48e2398596a1">PrintPropertyInfo</a> (std::ostream &amp;os, const std::string &amp;className, const std::string &amp;propertyName, bool printFlagInfo=true)</td></tr>
<tr class="memdesc:aa6fdbac7ab46d14e883a48e2398596a1 inherit pub_static_methods_classOpenSim_1_1Object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Same as the other signature but the class name and property name are provided as two separate strings.  <a href="classOpenSim_1_1Object.html#aa6fdbac7ab46d14e883a48e2398596a1">More...</a><br /></td></tr>
<tr class="separator:aa6fdbac7ab46d14e883a48e2398596a1 inherit pub_static_methods_classOpenSim_1_1Object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab7d860a7849ddbb27885673dbf5dbf76 inherit pub_static_methods_classOpenSim_1_1Object"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="classOpenSim_1_1Object.html">Object</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Object.html#ab7d860a7849ddbb27885673dbf5dbf76">makeObjectFromFile</a> (const std::string &amp;fileName)</td></tr>
<tr class="memdesc:ab7d860a7849ddbb27885673dbf5dbf76 inherit pub_static_methods_classOpenSim_1_1Object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Create an OpenSim object whose type is based on the tag at the root node of the XML file passed in.  <a href="classOpenSim_1_1Object.html#ab7d860a7849ddbb27885673dbf5dbf76">More...</a><br /></td></tr>
<tr class="separator:ab7d860a7849ddbb27885673dbf5dbf76 inherit pub_static_methods_classOpenSim_1_1Object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a37944898e801cba2bf6f772272df2649 inherit pub_static_methods_classOpenSim_1_1Object"><td class="memItemLeft" align="right" valign="top">static const std::string &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Object.html#a37944898e801cba2bf6f772272df2649">getClassName</a> ()</td></tr>
<tr class="memdesc:a37944898e801cba2bf6f772272df2649 inherit pub_static_methods_classOpenSim_1_1Object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Return the name of this class as a string; i.e., "Object".  <a href="classOpenSim_1_1Object.html#a37944898e801cba2bf6f772272df2649">More...</a><br /></td></tr>
<tr class="separator:a37944898e801cba2bf6f772272df2649 inherit pub_static_methods_classOpenSim_1_1Object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adc42e7d52c371b14898ce7e13e55700c inherit pub_static_methods_classOpenSim_1_1Object"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Object.html#adc42e7d52c371b14898ce7e13e55700c">setSerializeAllDefaults</a> (bool shouldSerializeDefaults)</td></tr>
<tr class="memdesc:adc42e7d52c371b14898ce7e13e55700c inherit pub_static_methods_classOpenSim_1_1Object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Static function to control whether all registered objects and their properties are written to the defaults section of output files rather than only those values for which the default was explicitly overwritten when read in from an input file or set programmatically.  <a href="classOpenSim_1_1Object.html#adc42e7d52c371b14898ce7e13e55700c">More...</a><br /></td></tr>
<tr class="separator:adc42e7d52c371b14898ce7e13e55700c inherit pub_static_methods_classOpenSim_1_1Object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a533e0a9420d312a73cb9a5d8efd17081 inherit pub_static_methods_classOpenSim_1_1Object"><td class="memItemLeft" align="right" valign="top">static bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Object.html#a533e0a9420d312a73cb9a5d8efd17081">getSerializeAllDefaults</a> ()</td></tr>
<tr class="memdesc:a533e0a9420d312a73cb9a5d8efd17081 inherit pub_static_methods_classOpenSim_1_1Object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Report the value of the "serialize all defaults" flag.  <a href="classOpenSim_1_1Object.html#a533e0a9420d312a73cb9a5d8efd17081">More...</a><br /></td></tr>
<tr class="separator:a533e0a9420d312a73cb9a5d8efd17081 inherit pub_static_methods_classOpenSim_1_1Object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9debf9775f9e8c0b517654cb19669518 inherit pub_static_methods_classOpenSim_1_1Object"><td class="memItemLeft" align="right" valign="top">static bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Object.html#a9debf9775f9e8c0b517654cb19669518">isKindOf</a> (const char *type)</td></tr>
<tr class="memdesc:a9debf9775f9e8c0b517654cb19669518 inherit pub_static_methods_classOpenSim_1_1Object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns true if the passed-in string is "Object"; each Object-derived class defines a method of this name for its own class name.  <a href="classOpenSim_1_1Object.html#a9debf9775f9e8c0b517654cb19669518">More...</a><br /></td></tr>
<tr class="separator:a9debf9775f9e8c0b517654cb19669518 inherit pub_static_methods_classOpenSim_1_1Object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a46f10ccc4bc8ab3b0b4e68d3ab75f892 inherit pub_static_methods_classOpenSim_1_1Object"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Object.html#a46f10ccc4bc8ab3b0b4e68d3ab75f892">setDebugLevel</a> (int newLevel)</td></tr>
<tr class="memdesc:a46f10ccc4bc8ab3b0b4e68d3ab75f892 inherit pub_static_methods_classOpenSim_1_1Object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the amount of logging output.  <a href="classOpenSim_1_1Object.html#a46f10ccc4bc8ab3b0b4e68d3ab75f892">More...</a><br /></td></tr>
<tr class="separator:a46f10ccc4bc8ab3b0b4e68d3ab75f892 inherit pub_static_methods_classOpenSim_1_1Object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a96486fa12910478db9b65384546d9e97 inherit pub_static_methods_classOpenSim_1_1Object"><td class="memItemLeft" align="right" valign="top">static int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Object.html#a96486fa12910478db9b65384546d9e97">getDebugLevel</a> ()</td></tr>
<tr class="memdesc:a96486fa12910478db9b65384546d9e97 inherit pub_static_methods_classOpenSim_1_1Object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the current setting of debug level.  <a href="classOpenSim_1_1Object.html#a96486fa12910478db9b65384546d9e97">More...</a><br /></td></tr>
<tr class="separator:a96486fa12910478db9b65384546d9e97 inherit pub_static_methods_classOpenSim_1_1Object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a72643bf97b601311912f678bb3770abe inherit pub_static_methods_classOpenSim_1_1Object"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="classOpenSim_1_1Object.html">Object</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Object.html#a72643bf97b601311912f678bb3770abe">SafeCopy</a> (const <a class="el" href="classOpenSim_1_1Object.html">Object</a> *aObject)</td></tr>
<tr class="memdesc:a72643bf97b601311912f678bb3770abe inherit pub_static_methods_classOpenSim_1_1Object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Use the <a class="el" href="classOpenSim_1_1Object.html#af221c900c5447df9928f1786469ef1b8" title="Create a new heap-allocated copy of the concrete object to which this Object refers.">clone()</a> method to duplicate the given object unless the pointer is null in which case null is returned.  <a href="classOpenSim_1_1Object.html#a72643bf97b601311912f678bb3770abe">More...</a><br /></td></tr>
<tr class="separator:a72643bf97b601311912f678bb3770abe inherit pub_static_methods_classOpenSim_1_1Object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0a6f962db2c026cce6176ed5017e805c inherit pub_static_methods_classOpenSim_1_1Object"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Object.html#a0a6f962db2c026cce6176ed5017e805c">RegisterType</a> (const <a class="el" href="classOpenSim_1_1Object.html">Object</a> &amp;defaultObject)</td></tr>
<tr class="memdesc:a0a6f962db2c026cce6176ed5017e805c inherit pub_static_methods_classOpenSim_1_1Object"><td class="mdescLeft">&#160;</td><td class="mdescRight">OBSOLETE alternate name for <a class="el" href="classOpenSim_1_1Object.html#ace1fe7d9f4d7509b5d9e74fbe757b72d" title="Register an instance of a class; if the class is already registered it will be replaced.">registerType()</a>.  <a href="classOpenSim_1_1Object.html#a0a6f962db2c026cce6176ed5017e805c">More...</a><br /></td></tr>
<tr class="separator:a0a6f962db2c026cce6176ed5017e805c inherit pub_static_methods_classOpenSim_1_1Object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2b7d3f95ec3dcec17bd5fc17de4b3062 inherit pub_static_methods_classOpenSim_1_1Object"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Object.html#a2b7d3f95ec3dcec17bd5fc17de4b3062">RenameType</a> (const std::string &amp;oldName, const std::string &amp;newName)</td></tr>
<tr class="memdesc:a2b7d3f95ec3dcec17bd5fc17de4b3062 inherit pub_static_methods_classOpenSim_1_1Object"><td class="mdescLeft">&#160;</td><td class="mdescRight">OBSOLETE alternate name for <a class="el" href="classOpenSim_1_1Object.html#ad4f89d1f8a5d4b85dba51df9b207183b" title="Support versioning by associating the current Object type with an old name.">renameType()</a>.  <a href="classOpenSim_1_1Object.html#a2b7d3f95ec3dcec17bd5fc17de4b3062">More...</a><br /></td></tr>
<tr class="separator:a2b7d3f95ec3dcec17bd5fc17de4b3062 inherit pub_static_methods_classOpenSim_1_1Object"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="member-group"></a>
Auto-generated functions &lt;br&gt;</h2></td></tr>
<tr class="memitem:a7eef08ba6588dfadc76bd43e44d26efc"><td class="memItemLeft" align="right" valign="top">static const std::string &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1OutputReporter.html#a7eef08ba6588dfadc76bd43e44d26efc">getClassName</a> ()</td></tr>
<tr class="memdesc:a7eef08ba6588dfadc76bd43e44d26efc"><td class="mdescLeft">&#160;</td><td class="mdescRight">This returns "OutputReporter" <br  />
  <a href="classOpenSim_1_1OutputReporter.html#a7eef08ba6588dfadc76bd43e44d26efc">More...</a><br /></td></tr>
<tr class="separator:a7eef08ba6588dfadc76bd43e44d26efc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a08c326fc4b5e6cdeb32bb633a3e1310d"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOpenSim_1_1OutputReporter.html">OutputReporter</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1OutputReporter.html#a08c326fc4b5e6cdeb32bb633a3e1310d">clone</a> () const override</td></tr>
<tr class="memdesc:a08c326fc4b5e6cdeb32bb633a3e1310d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Create a new heap-allocated copy of the concrete object to which this Object refers.  <a href="classOpenSim_1_1OutputReporter.html#a08c326fc4b5e6cdeb32bb633a3e1310d">More...</a><br /></td></tr>
<tr class="separator:a08c326fc4b5e6cdeb32bb633a3e1310d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2a56b4d9bbb438379625f5fd1207133b"><td class="memItemLeft" align="right" valign="top">const std::string &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1OutputReporter.html#a2a56b4d9bbb438379625f5fd1207133b">getConcreteClassName</a> () const override</td></tr>
<tr class="memdesc:a2a56b4d9bbb438379625f5fd1207133b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the class name of the concrete Object-derived class of the actual object referenced by this Object, as a string.  <a href="classOpenSim_1_1OutputReporter.html#a2a56b4d9bbb438379625f5fd1207133b">More...</a><br /></td></tr>
<tr class="separator:a2a56b4d9bbb438379625f5fd1207133b"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pub_methods_classOpenSim_1_1Analysis"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classOpenSim_1_1Analysis')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classOpenSim_1_1Analysis.html">OpenSim::Analysis</a></td></tr>
<tr class="memitem:ad68c15d806e20123eba6323d017189d0 inherit pub_methods_classOpenSim_1_1Analysis"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Analysis.html#ad68c15d806e20123eba6323d017189d0">Analysis</a> (<a class="el" href="classOpenSim_1_1Model.html">Model</a> *aModel=0)</td></tr>
<tr class="memdesc:ad68c15d806e20123eba6323d017189d0 inherit pub_methods_classOpenSim_1_1Analysis"><td class="mdescLeft">&#160;</td><td class="mdescRight">Default constructor.  <a href="classOpenSim_1_1Analysis.html#ad68c15d806e20123eba6323d017189d0">More...</a><br /></td></tr>
<tr class="separator:ad68c15d806e20123eba6323d017189d0 inherit pub_methods_classOpenSim_1_1Analysis"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0f4e8dc27bf96b267b3ac6916151a23b inherit pub_methods_classOpenSim_1_1Analysis"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Analysis.html#a0f4e8dc27bf96b267b3ac6916151a23b">Analysis</a> (const std::string &amp;aFileName, bool aUpdateFromXMLNode=true)</td></tr>
<tr class="memdesc:a0f4e8dc27bf96b267b3ac6916151a23b inherit pub_methods_classOpenSim_1_1Analysis"><td class="mdescLeft">&#160;</td><td class="mdescRight">Construct an object from file.  <a href="classOpenSim_1_1Analysis.html#a0f4e8dc27bf96b267b3ac6916151a23b">More...</a><br /></td></tr>
<tr class="separator:a0f4e8dc27bf96b267b3ac6916151a23b inherit pub_methods_classOpenSim_1_1Analysis"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae81529e129bfa84b6347769bee9a6019 inherit pub_methods_classOpenSim_1_1Analysis"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Analysis.html#ae81529e129bfa84b6347769bee9a6019">Analysis</a> (const <a class="el" href="classOpenSim_1_1Analysis.html">Analysis</a> &amp;aAnalysis)</td></tr>
<tr class="memdesc:ae81529e129bfa84b6347769bee9a6019 inherit pub_methods_classOpenSim_1_1Analysis"><td class="mdescLeft">&#160;</td><td class="mdescRight">Copy constructor.  <a href="classOpenSim_1_1Analysis.html#ae81529e129bfa84b6347769bee9a6019">More...</a><br /></td></tr>
<tr class="separator:ae81529e129bfa84b6347769bee9a6019 inherit pub_methods_classOpenSim_1_1Analysis"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa5f07875af7666566c45b40390513c12 inherit pub_methods_classOpenSim_1_1Analysis"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Analysis.html#aa5f07875af7666566c45b40390513c12">~Analysis</a> ()</td></tr>
<tr class="separator:aa5f07875af7666566c45b40390513c12 inherit pub_methods_classOpenSim_1_1Analysis"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0c01e28401c567ebb22d9565f784043e inherit pub_methods_classOpenSim_1_1Analysis"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOpenSim_1_1Analysis.html">Analysis</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Analysis.html#a0c01e28401c567ebb22d9565f784043e">operator=</a> (const <a class="el" href="classOpenSim_1_1Analysis.html">Analysis</a> &amp;aAnalysis)</td></tr>
<tr class="memdesc:a0c01e28401c567ebb22d9565f784043e inherit pub_methods_classOpenSim_1_1Analysis"><td class="mdescLeft">&#160;</td><td class="mdescRight">Assignment operator.  <a href="classOpenSim_1_1Analysis.html#a0c01e28401c567ebb22d9565f784043e">More...</a><br /></td></tr>
<tr class="separator:a0c01e28401c567ebb22d9565f784043e inherit pub_methods_classOpenSim_1_1Analysis"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a39b52280585cc212587881a6d7f091b5 inherit pub_methods_classOpenSim_1_1Analysis"><td class="memItemLeft" align="right" valign="top">virtual int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Analysis.html#a39b52280585cc212587881a6d7f091b5">begin</a> (const SimTK::State &amp;s)</td></tr>
<tr class="separator:a39b52280585cc212587881a6d7f091b5 inherit pub_methods_classOpenSim_1_1Analysis"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab1da1993a5fc87097ab9f427f5fda861 inherit pub_methods_classOpenSim_1_1Analysis"><td class="memItemLeft" align="right" valign="top">virtual int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Analysis.html#ab1da1993a5fc87097ab9f427f5fda861">step</a> (const SimTK::State &amp;s, int stepNumber)</td></tr>
<tr class="separator:ab1da1993a5fc87097ab9f427f5fda861 inherit pub_methods_classOpenSim_1_1Analysis"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a80115890372b0c8915410d897313c7be inherit pub_methods_classOpenSim_1_1Analysis"><td class="memItemLeft" align="right" valign="top">virtual int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Analysis.html#a80115890372b0c8915410d897313c7be">end</a> (const SimTK::State &amp;s)</td></tr>
<tr class="separator:a80115890372b0c8915410d897313c7be inherit pub_methods_classOpenSim_1_1Analysis"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8d62e475f653df72288f6121a6a6c79f inherit pub_methods_classOpenSim_1_1Analysis"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Analysis.html#a8d62e475f653df72288f6121a6a6c79f">setModel</a> (<a class="el" href="classOpenSim_1_1Model.html">Model</a> &amp;aModel)</td></tr>
<tr class="memdesc:a8d62e475f653df72288f6121a6a6c79f inherit pub_methods_classOpenSim_1_1Analysis"><td class="mdescLeft">&#160;</td><td class="mdescRight">set pointer to model to be analyzed.  <a href="classOpenSim_1_1Analysis.html#a8d62e475f653df72288f6121a6a6c79f">More...</a><br /></td></tr>
<tr class="separator:a8d62e475f653df72288f6121a6a6c79f inherit pub_methods_classOpenSim_1_1Analysis"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a888c4f0191bb69ae36a5e888efd841d0 inherit pub_methods_classOpenSim_1_1Analysis"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Analysis.html#a888c4f0191bb69ae36a5e888efd841d0">setStatesStore</a> (const <a class="el" href="classOpenSim_1_1Storage.html">Storage</a> &amp;aStatesStore)</td></tr>
<tr class="memdesc:a888c4f0191bb69ae36a5e888efd841d0 inherit pub_methods_classOpenSim_1_1Analysis"><td class="mdescLeft">&#160;</td><td class="mdescRight">set states storage for analysis.  <a href="classOpenSim_1_1Analysis.html#a888c4f0191bb69ae36a5e888efd841d0">More...</a><br /></td></tr>
<tr class="separator:a888c4f0191bb69ae36a5e888efd841d0 inherit pub_methods_classOpenSim_1_1Analysis"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1b009b868a9b238ace1ad09590f8307d inherit pub_methods_classOpenSim_1_1Analysis"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Analysis.html#a1b009b868a9b238ace1ad09590f8307d">setOn</a> (bool aTrueFalse)</td></tr>
<tr class="separator:a1b009b868a9b238ace1ad09590f8307d inherit pub_methods_classOpenSim_1_1Analysis"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a799246818fcdf8bb6c46f465794093c4 inherit pub_methods_classOpenSim_1_1Analysis"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Analysis.html#a799246818fcdf8bb6c46f465794093c4">getOn</a> () const</td></tr>
<tr class="separator:a799246818fcdf8bb6c46f465794093c4 inherit pub_methods_classOpenSim_1_1Analysis"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4c7b032efd227d489cb868c19a0fe76d inherit pub_methods_classOpenSim_1_1Analysis"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Analysis.html#a4c7b032efd227d489cb868c19a0fe76d">setStartTime</a> (double aStartTime)</td></tr>
<tr class="separator:a4c7b032efd227d489cb868c19a0fe76d inherit pub_methods_classOpenSim_1_1Analysis"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5928df860efb04d303f4d0216f4507c7 inherit pub_methods_classOpenSim_1_1Analysis"><td class="memItemLeft" align="right" valign="top">double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Analysis.html#a5928df860efb04d303f4d0216f4507c7">getStartTime</a> () const</td></tr>
<tr class="separator:a5928df860efb04d303f4d0216f4507c7 inherit pub_methods_classOpenSim_1_1Analysis"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a11cfbd47cef54cf22798c3793498868b inherit pub_methods_classOpenSim_1_1Analysis"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Analysis.html#a11cfbd47cef54cf22798c3793498868b">setEndTime</a> (double aEndTime)</td></tr>
<tr class="separator:a11cfbd47cef54cf22798c3793498868b inherit pub_methods_classOpenSim_1_1Analysis"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4a316dcaae52aedb764e152fd4998036 inherit pub_methods_classOpenSim_1_1Analysis"><td class="memItemLeft" align="right" valign="top">double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Analysis.html#a4a316dcaae52aedb764e152fd4998036">getEndTime</a> () const</td></tr>
<tr class="separator:a4a316dcaae52aedb764e152fd4998036 inherit pub_methods_classOpenSim_1_1Analysis"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6be134981cfa09d77b7b3025eb618dd9 inherit pub_methods_classOpenSim_1_1Analysis"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Analysis.html#a6be134981cfa09d77b7b3025eb618dd9">setInDegrees</a> (bool aTrueFalse)</td></tr>
<tr class="memdesc:a6be134981cfa09d77b7b3025eb618dd9 inherit pub_methods_classOpenSim_1_1Analysis"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set whether or not to write the output of angles in degrees.  <a href="classOpenSim_1_1Analysis.html#a6be134981cfa09d77b7b3025eb618dd9">More...</a><br /></td></tr>
<tr class="separator:a6be134981cfa09d77b7b3025eb618dd9 inherit pub_methods_classOpenSim_1_1Analysis"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acb8c6c9e9684d5cb40683231ead900e5 inherit pub_methods_classOpenSim_1_1Analysis"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Analysis.html#acb8c6c9e9684d5cb40683231ead900e5">getInDegrees</a> () const</td></tr>
<tr class="separator:acb8c6c9e9684d5cb40683231ead900e5 inherit pub_methods_classOpenSim_1_1Analysis"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a57cb751ed09bc6731d1d06c35961927f inherit pub_methods_classOpenSim_1_1Analysis"><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Analysis.html#a57cb751ed09bc6731d1d06c35961927f">proceed</a> (int aStep=0)</td></tr>
<tr class="separator:a57cb751ed09bc6731d1d06c35961927f inherit pub_methods_classOpenSim_1_1Analysis"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8a862c375d2b3b4d322294a55d060f75 inherit pub_methods_classOpenSim_1_1Analysis"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Analysis.html#a8a862c375d2b3b4d322294a55d060f75">setStepInterval</a> (int aStepInterval)</td></tr>
<tr class="separator:a8a862c375d2b3b4d322294a55d060f75 inherit pub_methods_classOpenSim_1_1Analysis"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3bf016dcc96b35f92fedd6eec4ed7a55 inherit pub_methods_classOpenSim_1_1Analysis"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Analysis.html#a3bf016dcc96b35f92fedd6eec4ed7a55">getStepInterval</a> () const</td></tr>
<tr class="separator:a3bf016dcc96b35f92fedd6eec4ed7a55 inherit pub_methods_classOpenSim_1_1Analysis"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9377a04ce645a996e9f4c71a232d665c inherit pub_methods_classOpenSim_1_1Analysis"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Analysis.html#a9377a04ce645a996e9f4c71a232d665c">setColumnLabels</a> (const <a class="el" href="classOpenSim_1_1Array.html">Array</a>&lt; std::string &gt; &amp;aLabels)</td></tr>
<tr class="memdesc:a9377a04ce645a996e9f4c71a232d665c inherit pub_methods_classOpenSim_1_1Analysis"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the column labels for this analysis.  <a href="classOpenSim_1_1Analysis.html#a9377a04ce645a996e9f4c71a232d665c">More...</a><br /></td></tr>
<tr class="separator:a9377a04ce645a996e9f4c71a232d665c inherit pub_methods_classOpenSim_1_1Analysis"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acd3b7a04e2c8b7458049c9c857236998 inherit pub_methods_classOpenSim_1_1Analysis"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classOpenSim_1_1Array.html">Array</a>&lt; std::string &gt; &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Analysis.html#acd3b7a04e2c8b7458049c9c857236998">getColumnLabels</a> () const</td></tr>
<tr class="separator:acd3b7a04e2c8b7458049c9c857236998 inherit pub_methods_classOpenSim_1_1Analysis"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a070dfefb23ff31e1ea1ba294814f393c inherit pub_methods_classOpenSim_1_1Analysis"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Analysis.html#a070dfefb23ff31e1ea1ba294814f393c">setStorageInterval</a> (int aInterval)</td></tr>
<tr class="separator:a070dfefb23ff31e1ea1ba294814f393c inherit pub_methods_classOpenSim_1_1Analysis"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8ffc6e8707645f5c652ea39c7cb0cb74 inherit pub_methods_classOpenSim_1_1Analysis"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Analysis.html#a8ffc6e8707645f5c652ea39c7cb0cb74">getStorageInterval</a> () const</td></tr>
<tr class="separator:a8ffc6e8707645f5c652ea39c7cb0cb74 inherit pub_methods_classOpenSim_1_1Analysis"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa148ab1937de0eec47831eb5a17bd5b5 inherit pub_methods_classOpenSim_1_1Analysis"><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="classOpenSim_1_1ArrayPtrs.html">ArrayPtrs</a>&lt; <a class="el" href="classOpenSim_1_1Storage.html">Storage</a> &gt; &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Analysis.html#aa148ab1937de0eec47831eb5a17bd5b5">getStorageList</a> ()</td></tr>
<tr class="separator:aa148ab1937de0eec47831eb5a17bd5b5 inherit pub_methods_classOpenSim_1_1Analysis"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5afa13e2010ae34d1e6b09dfdf1d9f19 inherit pub_methods_classOpenSim_1_1Analysis"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Analysis.html#a5afa13e2010ae34d1e6b09dfdf1d9f19">setPrintResultFiles</a> (bool aToWrite)</td></tr>
<tr class="separator:a5afa13e2010ae34d1e6b09dfdf1d9f19 inherit pub_methods_classOpenSim_1_1Analysis"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afd3353a8f86425fcce4b842a6ca35443 inherit pub_methods_classOpenSim_1_1Analysis"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Analysis.html#afd3353a8f86425fcce4b842a6ca35443">getPrintResultFiles</a> () const</td></tr>
<tr class="separator:afd3353a8f86425fcce4b842a6ca35443 inherit pub_methods_classOpenSim_1_1Analysis"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae2f870eebd149eb1a69c413cfb09979b inherit pub_methods_classOpenSim_1_1Analysis"><td class="memItemLeft" align="right" valign="top">virtual int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Analysis.html#ae2f870eebd149eb1a69c413cfb09979b">printResults</a> (const std::string &amp;aBaseName, const std::string &amp;aDir=&quot;&quot;, double aDT=-1.0, const std::string &amp;aExtension=&quot;.sto&quot;)</td></tr>
<tr class="memdesc:ae2f870eebd149eb1a69c413cfb09979b inherit pub_methods_classOpenSim_1_1Analysis"><td class="mdescLeft">&#160;</td><td class="mdescRight">Print the results of the analysis.  <a href="classOpenSim_1_1Analysis.html#ae2f870eebd149eb1a69c413cfb09979b">More...</a><br /></td></tr>
<tr class="separator:ae2f870eebd149eb1a69c413cfb09979b inherit pub_methods_classOpenSim_1_1Analysis"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classOpenSim_1_1Object"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classOpenSim_1_1Object')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classOpenSim_1_1Object.html">OpenSim::Object</a></td></tr>
<tr class="memitem:a5dc026c632531b193236dfaa65962d40 inherit pub_methods_classOpenSim_1_1Object"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Object.html#a5dc026c632531b193236dfaa65962d40">~Object</a> ()</td></tr>
<tr class="memdesc:a5dc026c632531b193236dfaa65962d40 inherit pub_methods_classOpenSim_1_1Object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Virtual destructor for cleanup.  <a href="classOpenSim_1_1Object.html#a5dc026c632531b193236dfaa65962d40">More...</a><br /></td></tr>
<tr class="separator:a5dc026c632531b193236dfaa65962d40 inherit pub_methods_classOpenSim_1_1Object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a23efd5c15fb67f5dcba46f4f381b8908 inherit pub_methods_classOpenSim_1_1Object"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Object.html#a23efd5c15fb67f5dcba46f4f381b8908">isEqualTo</a> (const <a class="el" href="classOpenSim_1_1Object.html">Object</a> &amp;aObject) const</td></tr>
<tr class="memdesc:a23efd5c15fb67f5dcba46f4f381b8908 inherit pub_methods_classOpenSim_1_1Object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Equality operator wrapper for use from languages not supporting operator overloading.  <a href="classOpenSim_1_1Object.html#a23efd5c15fb67f5dcba46f4f381b8908">More...</a><br /></td></tr>
<tr class="separator:a23efd5c15fb67f5dcba46f4f381b8908 inherit pub_methods_classOpenSim_1_1Object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1296dda9711e0e061fd29b88eacae796 inherit pub_methods_classOpenSim_1_1Object"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOpenSim_1_1Object.html">Object</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Object.html#a1296dda9711e0e061fd29b88eacae796">operator=</a> (const <a class="el" href="classOpenSim_1_1Object.html">Object</a> &amp;aObject)</td></tr>
<tr class="memdesc:a1296dda9711e0e061fd29b88eacae796 inherit pub_methods_classOpenSim_1_1Object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Copy assignment copies he base class fields, including the properties.  <a href="classOpenSim_1_1Object.html#a1296dda9711e0e061fd29b88eacae796">More...</a><br /></td></tr>
<tr class="separator:a1296dda9711e0e061fd29b88eacae796 inherit pub_methods_classOpenSim_1_1Object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac907289709a4b5a40f153851144f14a7 inherit pub_methods_classOpenSim_1_1Object"><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Object.html#ac907289709a4b5a40f153851144f14a7">operator==</a> (const <a class="el" href="classOpenSim_1_1Object.html">Object</a> &amp;aObject) const</td></tr>
<tr class="memdesc:ac907289709a4b5a40f153851144f14a7 inherit pub_methods_classOpenSim_1_1Object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Determine if two objects are equal.  <a href="classOpenSim_1_1Object.html#ac907289709a4b5a40f153851144f14a7">More...</a><br /></td></tr>
<tr class="separator:ac907289709a4b5a40f153851144f14a7 inherit pub_methods_classOpenSim_1_1Object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9f6579e10ac312d2ba5860a5c71be065 inherit pub_methods_classOpenSim_1_1Object"><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Object.html#a9f6579e10ac312d2ba5860a5c71be065">operator&lt;</a> (const <a class="el" href="classOpenSim_1_1Object.html">Object</a> &amp;aObject) const</td></tr>
<tr class="memdesc:a9f6579e10ac312d2ba5860a5c71be065 inherit pub_methods_classOpenSim_1_1Object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Provide an ordering for objects so they can be put in sorted containers.  <a href="classOpenSim_1_1Object.html#a9f6579e10ac312d2ba5860a5c71be065">More...</a><br /></td></tr>
<tr class="separator:a9f6579e10ac312d2ba5860a5c71be065 inherit pub_methods_classOpenSim_1_1Object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a44921f417260a606255a162bfaa74e85 inherit pub_methods_classOpenSim_1_1Object"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Object.html#a44921f417260a606255a162bfaa74e85">setName</a> (const std::string &amp;name)</td></tr>
<tr class="memdesc:a44921f417260a606255a162bfaa74e85 inherit pub_methods_classOpenSim_1_1Object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the name of the <a class="el" href="classOpenSim_1_1Object.html" title="This is the base class for all OpenSim objects that are serializable (meaning they can be written to ...">Object</a>.  <a href="classOpenSim_1_1Object.html#a44921f417260a606255a162bfaa74e85">More...</a><br /></td></tr>
<tr class="separator:a44921f417260a606255a162bfaa74e85 inherit pub_methods_classOpenSim_1_1Object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8305bf8b07e36357ecd5974557b4f1f6 inherit pub_methods_classOpenSim_1_1Object"><td class="memItemLeft" align="right" valign="top">const std::string &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Object.html#a8305bf8b07e36357ecd5974557b4f1f6">getName</a> () const</td></tr>
<tr class="memdesc:a8305bf8b07e36357ecd5974557b4f1f6 inherit pub_methods_classOpenSim_1_1Object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the name of this <a class="el" href="classOpenSim_1_1Object.html" title="This is the base class for all OpenSim objects that are serializable (meaning they can be written to ...">Object</a>.  <a href="classOpenSim_1_1Object.html#a8305bf8b07e36357ecd5974557b4f1f6">More...</a><br /></td></tr>
<tr class="separator:a8305bf8b07e36357ecd5974557b4f1f6 inherit pub_methods_classOpenSim_1_1Object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a736967772e266744409791c21a94dd80 inherit pub_methods_classOpenSim_1_1Object"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Object.html#a736967772e266744409791c21a94dd80">setDescription</a> (const std::string &amp;description)</td></tr>
<tr class="memdesc:a736967772e266744409791c21a94dd80 inherit pub_methods_classOpenSim_1_1Object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set description, a one-liner summary.  <a href="classOpenSim_1_1Object.html#a736967772e266744409791c21a94dd80">More...</a><br /></td></tr>
<tr class="separator:a736967772e266744409791c21a94dd80 inherit pub_methods_classOpenSim_1_1Object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aae4380e83784a756db86db4a219a7bf7 inherit pub_methods_classOpenSim_1_1Object"><td class="memItemLeft" align="right" valign="top">const std::string &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Object.html#aae4380e83784a756db86db4a219a7bf7">getDescription</a> () const</td></tr>
<tr class="memdesc:aae4380e83784a756db86db4a219a7bf7 inherit pub_methods_classOpenSim_1_1Object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get description, a one-liner summary.  <a href="classOpenSim_1_1Object.html#aae4380e83784a756db86db4a219a7bf7">More...</a><br /></td></tr>
<tr class="separator:aae4380e83784a756db86db4a219a7bf7 inherit pub_methods_classOpenSim_1_1Object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a02daafc67d38d371b59b91dbc1a649c2 inherit pub_methods_classOpenSim_1_1Object"><td class="memItemLeft" align="right" valign="top">const std::string &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Object.html#a02daafc67d38d371b59b91dbc1a649c2">getAuthors</a> () const</td></tr>
<tr class="memdesc:a02daafc67d38d371b59b91dbc1a649c2 inherit pub_methods_classOpenSim_1_1Object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get Authors of this <a class="el" href="classOpenSim_1_1Object.html" title="This is the base class for all OpenSim objects that are serializable (meaning they can be written to ...">Object</a>.  <a href="classOpenSim_1_1Object.html#a02daafc67d38d371b59b91dbc1a649c2">More...</a><br /></td></tr>
<tr class="separator:a02daafc67d38d371b59b91dbc1a649c2 inherit pub_methods_classOpenSim_1_1Object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5543fa91645f86c336d121cf6da60dfd inherit pub_methods_classOpenSim_1_1Object"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Object.html#a5543fa91645f86c336d121cf6da60dfd">setAuthors</a> (const std::string &amp;authors)</td></tr>
<tr class="memdesc:a5543fa91645f86c336d121cf6da60dfd inherit pub_methods_classOpenSim_1_1Object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set Authors of this object.  <a href="classOpenSim_1_1Object.html#a5543fa91645f86c336d121cf6da60dfd">More...</a><br /></td></tr>
<tr class="separator:a5543fa91645f86c336d121cf6da60dfd inherit pub_methods_classOpenSim_1_1Object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab29889c8cc7234150faf9c65e8502d37 inherit pub_methods_classOpenSim_1_1Object"><td class="memItemLeft" align="right" valign="top">const std::string &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Object.html#ab29889c8cc7234150faf9c65e8502d37">getReferences</a> () const</td></tr>
<tr class="memdesc:ab29889c8cc7234150faf9c65e8502d37 inherit pub_methods_classOpenSim_1_1Object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get references or publications to cite if using this object.  <a href="classOpenSim_1_1Object.html#ab29889c8cc7234150faf9c65e8502d37">More...</a><br /></td></tr>
<tr class="separator:ab29889c8cc7234150faf9c65e8502d37 inherit pub_methods_classOpenSim_1_1Object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3cf59c40ec8751e01d736db3383cbe50 inherit pub_methods_classOpenSim_1_1Object"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Object.html#a3cf59c40ec8751e01d736db3383cbe50">setReferences</a> (const std::string &amp;references)</td></tr>
<tr class="memdesc:a3cf59c40ec8751e01d736db3383cbe50 inherit pub_methods_classOpenSim_1_1Object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set references or publications to cite if using this object.  <a href="classOpenSim_1_1Object.html#a3cf59c40ec8751e01d736db3383cbe50">More...</a><br /></td></tr>
<tr class="separator:a3cf59c40ec8751e01d736db3383cbe50 inherit pub_methods_classOpenSim_1_1Object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ade85bfec32b1adcf1620f17a9ccb0085 inherit pub_methods_classOpenSim_1_1Object"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Object.html#ade85bfec32b1adcf1620f17a9ccb0085">getNumProperties</a> () const</td></tr>
<tr class="memdesc:ade85bfec32b1adcf1620f17a9ccb0085 inherit pub_methods_classOpenSim_1_1Object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Determine how many properties are stored with this Object.  <a href="classOpenSim_1_1Object.html#ade85bfec32b1adcf1620f17a9ccb0085">More...</a><br /></td></tr>
<tr class="separator:ade85bfec32b1adcf1620f17a9ccb0085 inherit pub_methods_classOpenSim_1_1Object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab3a688f6aade423d981f7d401de25659 inherit pub_methods_classOpenSim_1_1Object"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classOpenSim_1_1AbstractProperty.html">AbstractProperty</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Object.html#ab3a688f6aade423d981f7d401de25659">getPropertyByIndex</a> (int propertyIndex) const</td></tr>
<tr class="memdesc:ab3a688f6aade423d981f7d401de25659 inherit pub_methods_classOpenSim_1_1Object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get a const reference to a property by its index number, returned as an <a class="el" href="classOpenSim_1_1AbstractProperty.html" title="An abstract property is a serializable (name,value) pair, for which we do not know the type of the va...">AbstractProperty</a>.  <a href="classOpenSim_1_1Object.html#ab3a688f6aade423d981f7d401de25659">More...</a><br /></td></tr>
<tr class="separator:ab3a688f6aade423d981f7d401de25659 inherit pub_methods_classOpenSim_1_1Object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac3f81ef13cb278c49785cbb2236cc2b0 inherit pub_methods_classOpenSim_1_1Object"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOpenSim_1_1AbstractProperty.html">AbstractProperty</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Object.html#ac3f81ef13cb278c49785cbb2236cc2b0">updPropertyByIndex</a> (int propertyIndex)</td></tr>
<tr class="memdesc:ac3f81ef13cb278c49785cbb2236cc2b0 inherit pub_methods_classOpenSim_1_1Object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get a writable reference to a property by its index number, returned as an <a class="el" href="classOpenSim_1_1AbstractProperty.html" title="An abstract property is a serializable (name,value) pair, for which we do not know the type of the va...">AbstractProperty</a>.  <a href="classOpenSim_1_1Object.html#ac3f81ef13cb278c49785cbb2236cc2b0">More...</a><br /></td></tr>
<tr class="separator:ac3f81ef13cb278c49785cbb2236cc2b0 inherit pub_methods_classOpenSim_1_1Object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7a118a4dbce4593eb71fbc7c5a66abf9 inherit pub_methods_classOpenSim_1_1Object"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Object.html#a7a118a4dbce4593eb71fbc7c5a66abf9">hasProperty</a> (const std::string &amp;name) const</td></tr>
<tr class="memdesc:a7a118a4dbce4593eb71fbc7c5a66abf9 inherit pub_methods_classOpenSim_1_1Object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Return true if this Object has a property of any type with the given <em>name</em>, which must not be empty.  <a href="classOpenSim_1_1Object.html#a7a118a4dbce4593eb71fbc7c5a66abf9">More...</a><br /></td></tr>
<tr class="separator:a7a118a4dbce4593eb71fbc7c5a66abf9 inherit pub_methods_classOpenSim_1_1Object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1c5fbd22819482c9c25799c4ff3b1b66 inherit pub_methods_classOpenSim_1_1Object"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classOpenSim_1_1AbstractProperty.html">AbstractProperty</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Object.html#a1c5fbd22819482c9c25799c4ff3b1b66">getPropertyByName</a> (const std::string &amp;name) const</td></tr>
<tr class="memdesc:a1c5fbd22819482c9c25799c4ff3b1b66 inherit pub_methods_classOpenSim_1_1Object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get a const reference to a property by its name, returned as an <a class="el" href="classOpenSim_1_1AbstractProperty.html" title="An abstract property is a serializable (name,value) pair, for which we do not know the type of the va...">AbstractProperty</a>.  <a href="classOpenSim_1_1Object.html#a1c5fbd22819482c9c25799c4ff3b1b66">More...</a><br /></td></tr>
<tr class="separator:a1c5fbd22819482c9c25799c4ff3b1b66 inherit pub_methods_classOpenSim_1_1Object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a62268af4017fc9d547ae718b3cb3733d inherit pub_methods_classOpenSim_1_1Object"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOpenSim_1_1AbstractProperty.html">AbstractProperty</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Object.html#a62268af4017fc9d547ae718b3cb3733d">updPropertyByName</a> (const std::string &amp;name)</td></tr>
<tr class="memdesc:a62268af4017fc9d547ae718b3cb3733d inherit pub_methods_classOpenSim_1_1Object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get a writable reference to a property by its name, returned as an <a class="el" href="classOpenSim_1_1AbstractProperty.html" title="An abstract property is a serializable (name,value) pair, for which we do not know the type of the va...">AbstractProperty</a>.  <a href="classOpenSim_1_1Object.html#a62268af4017fc9d547ae718b3cb3733d">More...</a><br /></td></tr>
<tr class="separator:a62268af4017fc9d547ae718b3cb3733d inherit pub_methods_classOpenSim_1_1Object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a11da800c7f37191c3d509b61dcd4cfed inherit pub_methods_classOpenSim_1_1Object"><td class="memTemplParams" colspan="2">template&lt;class T &gt; </td></tr>
<tr class="memitem:a11da800c7f37191c3d509b61dcd4cfed inherit pub_methods_classOpenSim_1_1Object"><td class="memTemplItemLeft" align="right" valign="top">bool&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Object.html#a11da800c7f37191c3d509b61dcd4cfed">hasProperty</a> () const</td></tr>
<tr class="memdesc:a11da800c7f37191c3d509b61dcd4cfed inherit pub_methods_classOpenSim_1_1Object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Return true if this Object contains an unnamed, one-object property that contains objects of the given template type T.  <a href="classOpenSim_1_1Object.html#a11da800c7f37191c3d509b61dcd4cfed">More...</a><br /></td></tr>
<tr class="separator:a11da800c7f37191c3d509b61dcd4cfed inherit pub_methods_classOpenSim_1_1Object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae5fcf7a8d6f90b18e43800aea7c4b740 inherit pub_methods_classOpenSim_1_1Object"><td class="memTemplParams" colspan="2">template&lt;class T &gt; </td></tr>
<tr class="memitem:ae5fcf7a8d6f90b18e43800aea7c4b740 inherit pub_methods_classOpenSim_1_1Object"><td class="memTemplItemLeft" align="right" valign="top">const <a class="el" href="classOpenSim_1_1Property.html">Property</a>&lt; T &gt; &amp;&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Object.html#ae5fcf7a8d6f90b18e43800aea7c4b740">getProperty</a> (const PropertyIndex &amp;index) const</td></tr>
<tr class="memdesc:ae5fcf7a8d6f90b18e43800aea7c4b740 inherit pub_methods_classOpenSim_1_1Object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get property of known type <a class="el" href="classOpenSim_1_1Property.html" title="A Property&lt;T&gt; is a serializable (name, list-of-values) pair, where each value is of type T.">Property</a>&lt;T&gt; as a const reference; the property must be present and have the right type.  <a href="classOpenSim_1_1Object.html#ae5fcf7a8d6f90b18e43800aea7c4b740">More...</a><br /></td></tr>
<tr class="separator:ae5fcf7a8d6f90b18e43800aea7c4b740 inherit pub_methods_classOpenSim_1_1Object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a351933e7ddc7a7e761e2a8a9cd12728b inherit pub_methods_classOpenSim_1_1Object"><td class="memTemplParams" colspan="2">template&lt;class T &gt; </td></tr>
<tr class="memitem:a351933e7ddc7a7e761e2a8a9cd12728b inherit pub_methods_classOpenSim_1_1Object"><td class="memTemplItemLeft" align="right" valign="top"><a class="el" href="classOpenSim_1_1Property.html">Property</a>&lt; T &gt; &amp;&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Object.html#a351933e7ddc7a7e761e2a8a9cd12728b">updProperty</a> (const PropertyIndex &amp;index)</td></tr>
<tr class="memdesc:a351933e7ddc7a7e761e2a8a9cd12728b inherit pub_methods_classOpenSim_1_1Object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get property of known type <a class="el" href="classOpenSim_1_1Property.html" title="A Property&lt;T&gt; is a serializable (name, list-of-values) pair, where each value is of type T.">Property</a>&lt;T&gt; as a writable reference; the property must be present and have the right type.  <a href="classOpenSim_1_1Object.html#a351933e7ddc7a7e761e2a8a9cd12728b">More...</a><br /></td></tr>
<tr class="separator:a351933e7ddc7a7e761e2a8a9cd12728b inherit pub_methods_classOpenSim_1_1Object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae117a439778e50c34d4553df12d2e4ae inherit pub_methods_classOpenSim_1_1Object"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Object.html#ae117a439778e50c34d4553df12d2e4ae">isObjectUpToDateWithProperties</a> () const</td></tr>
<tr class="memdesc:ae117a439778e50c34d4553df12d2e4ae inherit pub_methods_classOpenSim_1_1Object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns <code>true</code> if no property's value has changed since the last time <a class="el" href="classOpenSim_1_1Object.html#a6aff140025aa58def7bad8810a6c4652" title="When an object is initialized using the current values of its properties, it can set a flag indicatin...">setObjectIsUpToDateWithProperties()</a> was called.  <a href="classOpenSim_1_1Object.html#ae117a439778e50c34d4553df12d2e4ae">More...</a><br /></td></tr>
<tr class="separator:ae117a439778e50c34d4553df12d2e4ae inherit pub_methods_classOpenSim_1_1Object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abd740e38f08939be0c05b622b2a5f61e inherit pub_methods_classOpenSim_1_1Object"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Object.html#abd740e38f08939be0c05b622b2a5f61e">readObjectFromXMLNodeOrFile</a> (SimTK::Xml::Element &amp;objectElement, int versionNumber)</td></tr>
<tr class="memdesc:abd740e38f08939be0c05b622b2a5f61e inherit pub_methods_classOpenSim_1_1Object"><td class="mdescLeft">&#160;</td><td class="mdescRight">We're given an XML element from which we are to populate this Object.  <a href="classOpenSim_1_1Object.html#abd740e38f08939be0c05b622b2a5f61e">More...</a><br /></td></tr>
<tr class="separator:abd740e38f08939be0c05b622b2a5f61e inherit pub_methods_classOpenSim_1_1Object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a988abda95a67bb454373a89fe38f2af7 inherit pub_methods_classOpenSim_1_1Object"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Object.html#a988abda95a67bb454373a89fe38f2af7">updateFromXMLNode</a> (SimTK::Xml::Element &amp;objectElement, int versionNumber)</td></tr>
<tr class="memdesc:a988abda95a67bb454373a89fe38f2af7 inherit pub_methods_classOpenSim_1_1Object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Use this method to deserialize an object from a SimTK::Xml::Element.  <a href="classOpenSim_1_1Object.html#a988abda95a67bb454373a89fe38f2af7">More...</a><br /></td></tr>
<tr class="separator:a988abda95a67bb454373a89fe38f2af7 inherit pub_methods_classOpenSim_1_1Object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad4ab0f4cb534e1c3ed13d42670ed6ec3 inherit pub_methods_classOpenSim_1_1Object"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Object.html#ad4ab0f4cb534e1c3ed13d42670ed6ec3">updateXMLNode</a> (SimTK::Xml::Element &amp;parent, const <a class="el" href="classOpenSim_1_1AbstractProperty.html">AbstractProperty</a> *prop=nullptr) const</td></tr>
<tr class="memdesc:ad4ab0f4cb534e1c3ed13d42670ed6ec3 inherit pub_methods_classOpenSim_1_1Object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Serialize this object into the XML node that represents it.  <a href="classOpenSim_1_1Object.html#ad4ab0f4cb534e1c3ed13d42670ed6ec3">More...</a><br /></td></tr>
<tr class="separator:ad4ab0f4cb534e1c3ed13d42670ed6ec3 inherit pub_methods_classOpenSim_1_1Object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a32016b09c0f930ef78e08ef9e99d7f80 inherit pub_methods_classOpenSim_1_1Object"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Object.html#a32016b09c0f930ef78e08ef9e99d7f80">getInlined</a> () const</td></tr>
<tr class="memdesc:a32016b09c0f930ef78e08ef9e99d7f80 inherit pub_methods_classOpenSim_1_1Object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Inlined means an in-memory <a class="el" href="classOpenSim_1_1Object.html" title="This is the base class for all OpenSim objects that are serializable (meaning they can be written to ...">Object</a> that is not associated with an <a class="el" href="classOpenSim_1_1XMLDocument.html">XMLDocument</a>.  <a href="classOpenSim_1_1Object.html#a32016b09c0f930ef78e08ef9e99d7f80">More...</a><br /></td></tr>
<tr class="separator:a32016b09c0f930ef78e08ef9e99d7f80 inherit pub_methods_classOpenSim_1_1Object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab419ca21895e653bffb4fc5b0ac3afa2 inherit pub_methods_classOpenSim_1_1Object"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Object.html#ab419ca21895e653bffb4fc5b0ac3afa2">setInlined</a> (bool aInlined, const std::string &amp;aFileName=&quot;&quot;)</td></tr>
<tr class="memdesc:ab419ca21895e653bffb4fc5b0ac3afa2 inherit pub_methods_classOpenSim_1_1Object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Mark this as inlined or not and optionally provide a file name to associate with the new <a class="el" href="classOpenSim_1_1XMLDocument.html">XMLDocument</a> for the non-inline case.  <a href="classOpenSim_1_1Object.html#ab419ca21895e653bffb4fc5b0ac3afa2">More...</a><br /></td></tr>
<tr class="separator:ab419ca21895e653bffb4fc5b0ac3afa2 inherit pub_methods_classOpenSim_1_1Object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a26674406a1078da2383483ce79af8066 inherit pub_methods_classOpenSim_1_1Object"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Object.html#a26674406a1078da2383483ce79af8066">getDocumentFileName</a> () const</td></tr>
<tr class="memdesc:a26674406a1078da2383483ce79af8066 inherit pub_methods_classOpenSim_1_1Object"><td class="mdescLeft">&#160;</td><td class="mdescRight">If there is a document associated with this object then return the file name maintained by the document.  <a href="classOpenSim_1_1Object.html#a26674406a1078da2383483ce79af8066">More...</a><br /></td></tr>
<tr class="separator:a26674406a1078da2383483ce79af8066 inherit pub_methods_classOpenSim_1_1Object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af4b5a7a6c8e4fce9c8644b60012119b4 inherit pub_methods_classOpenSim_1_1Object"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Object.html#af4b5a7a6c8e4fce9c8644b60012119b4">getDocumentFileVersion</a> () const</td></tr>
<tr class="memdesc:af4b5a7a6c8e4fce9c8644b60012119b4 inherit pub_methods_classOpenSim_1_1Object"><td class="mdescLeft">&#160;</td><td class="mdescRight">If there is a document associated with this object then return its version number.  <a href="classOpenSim_1_1Object.html#af4b5a7a6c8e4fce9c8644b60012119b4">More...</a><br /></td></tr>
<tr class="separator:af4b5a7a6c8e4fce9c8644b60012119b4 inherit pub_methods_classOpenSim_1_1Object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a092550b5528d3d817022c045e4144183 inherit pub_methods_classOpenSim_1_1Object"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Object.html#a092550b5528d3d817022c045e4144183">setAllPropertiesUseDefault</a> (bool aUseDefault)</td></tr>
<tr class="separator:a092550b5528d3d817022c045e4144183 inherit pub_methods_classOpenSim_1_1Object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a73c30a096fbdc4e00c01a0cf0e853255 inherit pub_methods_classOpenSim_1_1Object"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Object.html#a73c30a096fbdc4e00c01a0cf0e853255">print</a> (const std::string &amp;fileName) const</td></tr>
<tr class="memdesc:a73c30a096fbdc4e00c01a0cf0e853255 inherit pub_methods_classOpenSim_1_1Object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Write this Object into an XML file of the given name; conventionally the suffix to use is ".osim".  <a href="classOpenSim_1_1Object.html#a73c30a096fbdc4e00c01a0cf0e853255">More...</a><br /></td></tr>
<tr class="separator:a73c30a096fbdc4e00c01a0cf0e853255 inherit pub_methods_classOpenSim_1_1Object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a54d201e1b95b4bc8ca80154a166f0236 inherit pub_methods_classOpenSim_1_1Object"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Object.html#a54d201e1b95b4bc8ca80154a166f0236">dump</a> () const</td></tr>
<tr class="memdesc:a54d201e1b95b4bc8ca80154a166f0236 inherit pub_methods_classOpenSim_1_1Object"><td class="mdescLeft">&#160;</td><td class="mdescRight">dump the XML representation of this Object into an std::string and return it.  <a href="classOpenSim_1_1Object.html#a54d201e1b95b4bc8ca80154a166f0236">More...</a><br /></td></tr>
<tr class="separator:a54d201e1b95b4bc8ca80154a166f0236 inherit pub_methods_classOpenSim_1_1Object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa435db21ddc75dc46161cb0c2d1ef022 inherit pub_methods_classOpenSim_1_1Object"><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Object.html#aa435db21ddc75dc46161cb0c2d1ef022">isA</a> (const char *type) const</td></tr>
<tr class="memdesc:aa435db21ddc75dc46161cb0c2d1ef022 inherit pub_methods_classOpenSim_1_1Object"><td class="mdescLeft">&#160;</td><td class="mdescRight">The default implementation returns true only if the supplied string is "Object"; each Object-derived class overrides this to match its own class name.  <a href="classOpenSim_1_1Object.html#aa435db21ddc75dc46161cb0c2d1ef022">More...</a><br /></td></tr>
<tr class="separator:aa435db21ddc75dc46161cb0c2d1ef022 inherit pub_methods_classOpenSim_1_1Object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae20f7560c2ff26f0ba64e3cc81887ce8 inherit pub_methods_classOpenSim_1_1Object"><td class="memItemLeft" align="right" valign="top">const std::string &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Object.html#ae20f7560c2ff26f0ba64e3cc81887ce8">toString</a> () const</td></tr>
<tr class="memdesc:ae20f7560c2ff26f0ba64e3cc81887ce8 inherit pub_methods_classOpenSim_1_1Object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Wrapper to be used on Java side to display objects in tree; this returns just the object's name.  <a href="classOpenSim_1_1Object.html#ae20f7560c2ff26f0ba64e3cc81887ce8">More...</a><br /></td></tr>
<tr class="separator:ae20f7560c2ff26f0ba64e3cc81887ce8 inherit pub_methods_classOpenSim_1_1Object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:accf9602cb1075775f01243618e8cf57b inherit pub_methods_classOpenSim_1_1Object"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOpenSim_1_1PropertySet.html">PropertySet</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Object.html#accf9602cb1075775f01243618e8cf57b">getPropertySet</a> ()</td></tr>
<tr class="memdesc:accf9602cb1075775f01243618e8cf57b inherit pub_methods_classOpenSim_1_1Object"><td class="mdescLeft">&#160;</td><td class="mdescRight">OBSOLETE: Get a reference to the <a class="el" href="classOpenSim_1_1PropertySet.html" title="A property set is simply a set of properties.">PropertySet</a> maintained by the <a class="el" href="classOpenSim_1_1Object.html" title="This is the base class for all OpenSim objects that are serializable (meaning they can be written to ...">Object</a>.  <a href="classOpenSim_1_1Object.html#accf9602cb1075775f01243618e8cf57b">More...</a><br /></td></tr>
<tr class="separator:accf9602cb1075775f01243618e8cf57b inherit pub_methods_classOpenSim_1_1Object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab62051f89f23ece69aa8265c9aabb7ec inherit pub_methods_classOpenSim_1_1Object"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classOpenSim_1_1PropertySet.html">PropertySet</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Object.html#ab62051f89f23ece69aa8265c9aabb7ec">getPropertySet</a> () const</td></tr>
<tr class="separator:ab62051f89f23ece69aa8265c9aabb7ec inherit pub_methods_classOpenSim_1_1Object"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description </h2>
<div class="textblock"><p>The <a class="el" href="classOpenSim_1_1OutputReporter.html" title="The OutputReporter Analysis is a wrapper for a TableReporter.">OutputReporter</a> <a class="el" href="classOpenSim_1_1Analysis.html" title="An abstract class for specifying the interface for an analysis plugin.">Analysis</a> is a wrapper for a TableReporter. </p>
<p>It generates and writes TimeSeriesTables of <a class="el" href="classOpenSim_1_1Output.html">Output</a> values according to the names listed as properties of the <a class="el" href="classOpenSim_1_1Analysis.html" title="An abstract class for specifying the interface for an analysis plugin.">Analysis</a>. <a class="el" href="classOpenSim_1_1OutputReporter.html" title="The OutputReporter Analysis is a wrapper for a TableReporter.">OutputReporter</a> enables the <a class="el" href="classOpenSim_1_1AnalyzeTool.html" title="An abstract class for specifying the interface for an investigation.">AnalyzeTool</a> to report on Outputs via the <a class="el" href="classOpenSim_1_1Analysis.html" title="An abstract class for specifying the interface for an analysis plugin.">Analysis</a> interface but backed by a TableReporter. The <a class="el" href="classOpenSim_1_1OutputReporter.html" title="The OutputReporter Analysis is a wrapper for a TableReporter.">OutputReporter</a> currently only supports Outputs of type: double, Vec3 and SpatialVec. The <a class="el" href="classOpenSim_1_1OutputReporter.html" title="The OutputReporter Analysis is a wrapper for a TableReporter.">OutputReporter</a> will automatically write multiple files- a file for each supported <a class="el" href="classOpenSim_1_1Output.html">Output</a> type:</p><ul>
<li><code>&lt;results-file-name&gt;.sto</code> (as doubles),</li>
<li><code>&lt;results-file-name&gt;Vec3.sto</code>, and</li>
<li><code>&lt;results-file-name&gt;SpatialVec.sto</code>.</li>
</ul>
<p><a class="el" href="classOpenSim_1_1Output.html">Output</a> paths can be absolute (e.g., <code>/joint/slider/tx|value</code>) or relative to the model (by leaving off the first slash; <code>joint/slider/tx|value</code>). For outputs on the model itself, you can use <code>|com_position</code>, etc. As explained for <a class="el" href="classOpenSim_1_1AbstractInput.html" title="A specialized Socket that connects to an Output signal is an Input.">AbstractInput</a>, the vertical bar denotes the output name.</p>
<p>Note that the internal tables are reset at the beginning of a simulation or <a class="el" href="classOpenSim_1_1AnalyzeTool.html#a3f185616ee8deb6988fd07bae26ab53e">AnalyzeTool::run()</a> and does not append results to previous tables. </p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="a08c326fc4b5e6cdeb32bb633a3e1310d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a08c326fc4b5e6cdeb32bb633a3e1310d">&#9670;&nbsp;</a></span>clone()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOpenSim_1_1OutputReporter.html">OutputReporter</a>* OpenSim::OutputReporter::clone </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Create a new heap-allocated copy of the concrete object to which this Object refers. </p>
<p>It is up to the caller to delete the returned object when no longer needed. Every concrete object deriving from Object implements this pure virtual method automatically, via the declaration macro it invokes (e.g., <a class="el" href="classOpenSim_1_1Object.html#a13075f96c92f1a0f18b791adf0fa255b" title="Macro to be included as the first line of the class declaration for any non-templatized,...">OpenSim_DECLARE_CONCRETE_OBJECT()</a>). Note that the concrete class overrides modify the return type to be a pointer to the <em>concrete</em> object; that still overrides the base class method because the return type is covariant with (that is, derives from) Object. </p>

<p>Implements <a class="el" href="classOpenSim_1_1Analysis.html#a471e0d79ef893e6ce3afbe9c5f1b57a5">OpenSim::Analysis</a>.</p>

</div>
</div>
<a id="a7eef08ba6588dfadc76bd43e44d26efc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7eef08ba6588dfadc76bd43e44d26efc">&#9670;&nbsp;</a></span>getClassName()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static const std::string&amp; OpenSim::OutputReporter::getClassName </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>This returns "OutputReporter" <br  />
 </p>
<p>See <a class="el" href="classOpenSim_1_1OutputReporter.html#a2a56b4d9bbb438379625f5fd1207133b" title="Returns the class name of the concrete Object-derived class of the actual object referenced by this O...">getConcreteClassName()</a> if you want the class name of the underlying concrete object instead. <br  />
 </p>

</div>
</div>
<a id="a2a56b4d9bbb438379625f5fd1207133b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2a56b4d9bbb438379625f5fd1207133b">&#9670;&nbsp;</a></span>getConcreteClassName()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string&amp; OpenSim::OutputReporter::getConcreteClassName </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Returns the class name of the concrete Object-derived class of the actual object referenced by this Object, as a string. </p>
<p>This is the string that is used as the tag for this concrete object in an XML file. Every concrete class derived from Object automatically overrides this method via the declaration macro it uses. See <a class="el" href="classOpenSim_1_1OutputReporter.html#a7eef08ba6588dfadc76bd43e44d26efc" title="This returns &quot;OutputReporter&quot;">getClassName()</a> to get the class name of the referencing (possibly abstract) class rather than the concrete object. </p><dl class="section see"><dt>See also</dt><dd><a class="el" href="classOpenSim_1_1OutputReporter.html#a7eef08ba6588dfadc76bd43e44d26efc" title="This returns &quot;OutputReporter&quot;">getClassName()</a> </dd></dl>

<p>Implements <a class="el" href="classOpenSim_1_1Analysis.html#ac66aa49e32ffaf4a5562c1c08b3531b5">OpenSim::Analysis</a>.</p>

</div>
</div>
<a id="a00693b0c2ef81f1889cfcf9be9c543d6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a00693b0c2ef81f1889cfcf9be9c543d6">&#9670;&nbsp;</a></span>safeDownCast()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="classOpenSim_1_1OutputReporter.html">OutputReporter</a>* OpenSim::OutputReporter::safeDownCast </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOpenSim_1_1Object.html">OpenSim::Object</a> *&#160;</td>
          <td class="paramname"><em>obj</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>For use in MATLAB and Python to access the concrete class. </p>
<p>Example: <code>cObj = OutputReporter.safeDownCast(obj)</code>. This is equivalent to <code>dynamic_cast&lt;OutputReporter*&gt;(obj)</code> in C++. </p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>OpenSim/Analyses/OutputReporter.h</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespaceOpenSim.html">OpenSim</a></li><li class="navelem"><a class="el" href="classOpenSim_1_1OutputReporter.html">OutputReporter</a></li>
    <li class="footer">Generated on Mon Sep 5 2022 20:49:48 for API by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.0 </li>
  </ul>
</div>
</body>
</html>
